/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.protocol.api.proxy

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.variant.QVariantList
import de.justjanne.libquassel.protocol.variant.QVariant_

interface Proxy {
  suspend fun sync(className: String, objectName: ObjectName, function: String, params: QVariantList)
  suspend fun sync(className: String, objectName: ObjectName, function: String, vararg arg: QVariant_) =
    sync(className, objectName, function, arg.toList())

  suspend fun rpc(function: String, params: QVariantList)
  suspend fun rpc(function: String, vararg arg: QVariant_) =
    rpc(function, arg.toList())
}
